summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-07-30 18:58:34 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-07-30 18:58:34 +0000
commit54f959be1c0dc7bfed5251a3f57cc1d944b6d88f (patch)
tree8db718d3142978e11d2eeaef27d23608ed964ad2 /dev-python
parent0495ebcf05641ff9f8ee7f148e2ac25152ed508d (diff)
downloadbaldeagleos-repo-54f959be1c0dc7bfed5251a3f57cc1d944b6d88f.tar.gz
baldeagleos-repo-54f959be1c0dc7bfed5251a3f57cc1d944b6d88f.tar.xz
baldeagleos-repo-54f959be1c0dc7bfed5251a3f57cc1d944b6d88f.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Nuitka/Manifest1
-rw-r--r--dev-python/Nuitka/Nuitka-2.4.4.ebuild52
-rw-r--r--dev-python/agate/Manifest1
-rw-r--r--dev-python/agate/agate-1.12.0.ebuild45
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.34.150.ebuild53
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.34.150.ebuild76
-rw-r--r--dev-python/cfn-lint/Manifest1
-rw-r--r--dev-python/cfn-lint/cfn-lint-1.9.0.ebuild70
-rw-r--r--dev-python/django-taggit/Manifest1
-rw-r--r--dev-python/django-taggit/django-taggit-3.1.0.ebuild29
-rw-r--r--dev-python/incremental/Manifest1
-rw-r--r--dev-python/incremental/incremental-24.7.2.ebuild44
-rw-r--r--dev-python/lxml-html-clean/Manifest1
-rw-r--r--dev-python/lxml-html-clean/lxml-html-clean-0.2.0.ebuild24
-rw-r--r--dev-python/mitmproxy_wireguard/mitmproxy_wireguard-0.1.20.ebuild2
-rw-r--r--dev-python/mygpoclient/Manifest1
-rw-r--r--dev-python/mygpoclient/mygpoclient-1.9-r1.ebuild39
-rw-r--r--dev-python/nbxmpp/Manifest1
-rw-r--r--dev-python/nbxmpp/nbxmpp-5.0.3.ebuild35
-rw-r--r--dev-python/parallax/parallax-1.0.8.ebuild2
-rw-r--r--dev-python/pip/pip-24.2-r1.ebuild3
-rw-r--r--dev-python/py-zabbix/py-zabbix-1.1.7.ebuild2
-rw-r--r--dev-python/python-openstackclient/Manifest1
-rw-r--r--dev-python/python-openstackclient/python-openstackclient-6.6.1.ebuild62
-rw-r--r--dev-python/python-socketio/Manifest2
-rw-r--r--dev-python/python-socketio/python-socketio-5.11.3.ebuild (renamed from dev-python/python-socketio/python-socketio-5.11.0.ebuild)1
-rw-r--r--dev-python/python-statemachine/Manifest1
-rw-r--r--dev-python/python-statemachine/python-statemachine-2.3.4.ebuild48
-rw-r--r--dev-python/rapidfuzz/Manifest1
-rw-r--r--dev-python/rapidfuzz/rapidfuzz-3.9.5.ebuild67
-rw-r--r--dev-python/scikit-build-core/Manifest1
-rw-r--r--dev-python/scikit-build-core/scikit-build-core-0.9.8.ebuild2
-rw-r--r--dev-python/scikit-build-core/scikit-build-core-0.9.9.ebuild63
-rw-r--r--dev-python/sphinx/Manifest1
-rw-r--r--dev-python/sphinx/sphinx-8.0.1.ebuild144
-rw-r--r--dev-python/sphinx_selective_exclude/sphinx_selective_exclude-1.0.3-r1.ebuild2
-rw-r--r--dev-python/sqlalchemy/Manifest1
-rw-r--r--dev-python/sqlalchemy/sqlalchemy-1.4.53.ebuild107
-rw-r--r--dev-python/sqlglot/Manifest2
-rw-r--r--dev-python/sqlglot/sqlglot-25.8.0.ebuild (renamed from dev-python/sqlglot/sqlglot-25.6.1.ebuild)0
-rw-r--r--dev-python/tenacity/Manifest1
-rw-r--r--dev-python/tenacity/tenacity-9.0.0.ebuild39
-rw-r--r--dev-python/xmlschema/Manifest1
-rw-r--r--dev-python/xmlschema/xmlschema-3.3.2.ebuild37
46 files changed, 1030 insertions, 40 deletions
diff --git a/dev-python/Nuitka/Manifest b/dev-python/Nuitka/Manifest
index 2fdd15af7305..7646e4e39f44 100644
--- a/dev-python/Nuitka/Manifest
+++ b/dev-python/Nuitka/Manifest
@@ -1,3 +1,4 @@
DIST Nuitka-2.4.1.tar.gz 3717378 BLAKE2B bcbfb41bd2fad4a72a7d6aa8122b28ab3f35cdb815f92a5cb9037443533f1689c1efdbb84feba7f63441fc86e9f4432fdff8167008d916fb18c8206dff5f7013 SHA512 48f8ae2701ccdf5353c4c15c1bbc99166427515a90518eb99d2063d39705d11ed37eaa4238a77054a42ee45a1408a39fb008b58ac9817821e2ec2c00f4cc7916
DIST Nuitka-2.4.2.tar.gz 3718310 BLAKE2B 266b26d8882f189ac5ec28a921a1ac8a30bc42d1ea870c3ebfba59c9c259ff246035143a13c204cb7ca4c59a457b1ece5e74bc3e7aab02546705d502cce35902 SHA512 23d2f8cea7765d8f6b5d785d2381d36c9f9b7a158d25680339f93667104af680ed0a186450c0697153e19b44e1dc77f338cb6f42db33fbc71815d675b0be75a8
+DIST Nuitka-2.4.4.tar.gz 3719076 BLAKE2B 513a84e9b8ec222f14df253eab53c82edf2a663e97ac4b272481f2c3df306ad4d9c7b7785295718c68aadb02b04c8a31b0dc58f9ed0418ad2e530dbcff1f1cbf SHA512 9cdcb377d3e7c0a64e7bb76fa3b1ca7ef6b1590c91bae82e34638fd2bab8e1497a6683c4db243e51e4653b105af43dd86e071c5c33c3baf15e58ee81e1388ca0
DIST Nuitka-2.4.tar.gz 3718936 BLAKE2B 385a2bb2bbaa971277d7812f53d5a141a9643b0886e46e90fc3f5f8e3cb991801414ce6215a075ffe7998a99a65d534d2af16f9c4adc6c48fd8dee428461563a SHA512 c622434f48bea3d651c4720f8d22f23ec1ba680f9b58c66772a229ca1dc671a6c702d34503d4f16588008300e8e7e32a73dd51b56da1de8edbb33fde62be6053
diff --git a/dev-python/Nuitka/Nuitka-2.4.4.ebuild b/dev-python/Nuitka/Nuitka-2.4.4.ebuild
new file mode 100644
index 000000000000..35ccf652e8e3
--- /dev/null
+++ b/dev-python/Nuitka/Nuitka-2.4.4.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1 flag-o-matic optfeature pypi
+
+DESCRIPTION="Python to native compiler"
+HOMEPAGE="
+ https://nuitka.net/
+ https://github.com/Nuitka/Nuitka/
+ https://pypi.org/project/Nuitka/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~loong ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-build/scons[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ ${RDEPEND}
+ test? ( dev-util/ccache )
+"
+
+distutils-r1_src_prepare() {
+ # remove vendored version of SCons that is Python2 only
+ # this should be removed when upstream removes support for Python2
+ rm -vR "nuitka/build/inline_copy/lib/scons-2.3.2/SCons" || die
+ eapply_user
+}
+
+python_install() {
+ distutils-r1_python_install
+ doman doc/nuitka.1 doc/nuitka-run.1
+}
+
+python_test() {
+ append-ldflags -Wl,--no-warn-search-mismatch
+ ./tests/basics/run_all.py search || die
+}
+
+pkg_postinst() {
+ optfeature "support for stand-alone executables" dev-util/patchelf
+}
diff --git a/dev-python/agate/Manifest b/dev-python/agate/Manifest
index 230c5346c8e6..39fed7799927 100644
--- a/dev-python/agate/Manifest
+++ b/dev-python/agate/Manifest
@@ -1 +1,2 @@
DIST agate-1.11.0.tar.gz 203764 BLAKE2B c652f4f28840b036361fd05d5f1ca612fdb251a055f2e42d3859050907f0c0f0c17cb2a3351d5eb9d96759f18fc6851a501d1d3aabcb2ad257093ee97a96693d SHA512 9134987ed32838565e6d599568d5346e90d4623dca0868d13d134d6333d55f64ee4fc67469c691e1e964c735e14482e18615ca79f25108ffaf24c4da50a28ae6
+DIST agate-1.12.0.tar.gz 203989 BLAKE2B 790b1e04dce60754dc24dec367420dfeaacd15879940872d3231ea848b35d4149472285b0dcddd3749c37136b917fa718178de7401d6ca3322e249d56979fb3f SHA512 ba73717d1ad270161d2c5c8b45013c146e9ca0d8d7ca9b47e2db48818226544f66fd5762d5b956ea33add04a18bac46d9f0128e2022b98e0f78b3d2a7f0f1f1f
diff --git a/dev-python/agate/agate-1.12.0.ebuild b/dev-python/agate/agate-1.12.0.ebuild
new file mode 100644
index 000000000000..2d595fd7df94
--- /dev/null
+++ b/dev-python/agate/agate-1.12.0.ebuild
@@ -0,0 +1,45 @@
+# Copyright 2021-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A Python data analysis library that is optimized for humans instead of machines"
+HOMEPAGE="
+ https://github.com/wireservice/agate/
+ https://pypi.org/project/agate/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv ~arm64-macos ~x64-macos"
+
+RDEPEND="
+ >=dev-python/pytimeparse-1.1.5[${PYTHON_USEDEP}]
+ >=dev-python/parsedatetime-2.1[${PYTHON_USEDEP}]
+ >=dev-python/Babel-2.0[${PYTHON_USEDEP}]
+ >=dev-python/isodate-0.5.4[${PYTHON_USEDEP}]
+ >=dev-python/pyicu-2.4.2[${PYTHON_USEDEP}]
+ >=dev-python/python-slugify-1.2.1[${PYTHON_USEDEP}]
+ >=dev-python/leather-0.3.3-r2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-python/cssselect-0.9.1[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs \
+ dev-python/furo
+
+EPYTEST_DESELECT=(
+ # require specific locales
+ tests/test_data_types.py::TestDate::test_cast_format_locale
+ tests/test_data_types.py::TestDateTime::test_cast_format_locale
+)
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 263b09a3766a..90779eaf7cd4 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -1,3 +1,4 @@
DIST boto3-1.34.144.gh.tar.gz 840506 BLAKE2B 7fccc6ae45dec6411995795dc7dd180cec51b79f93362a221d7709f35ece2652390219d51507130fcfcedf82f0d2fa89461c112027b7d8040f84f2f907518b30 SHA512 4da24e40cb8beafd975cf21de0e548b167de59e1b47b4b005f4320d2c4cd60e0c5b72378ecdb1b21ec789b4b943df4856128890d865e0fb974a34563871a2078
DIST boto3-1.34.145.gh.tar.gz 841776 BLAKE2B e93a6c4d634c2df22ed27e58c2abe0a6cc835364b4a93c73c8c221ba39b63b89c5f3ddbf210eb90a451c9b6650061f08a173395f1fb3cd4abe8fde90347b4c63 SHA512 ebd85e3068d1ad332b2ed4c2ad45c022fadb090f8aacdcd72c0d515f91b218201afd69750281b68c909dbf2ab35bef3a39412a616f5b134780f15c0cc9854123
DIST boto3-1.34.149.gh.tar.gz 845064 BLAKE2B 25e77483b8ac8a52e7f5586794839dcab694cf8db3cc27112db25fc77b55845cb84dd2750a45dd5097b49e62e62403077fd741d7f1610fc7f735d8344e6fd23c SHA512 21a942ca15023b3e2732678ee79d1b8c7b027e89958b5761a8d543b91c434d06d7c84e137177e1fde52440c801f62dfa4caed309ec92400f6516720bbcc11690
+DIST boto3-1.34.150.gh.tar.gz 845173 BLAKE2B ad4d63056452b1743b91716fef05f7858ecaff10c4dfc7c10b9ff3bd1b6e7e2a641bbacddbd9ff48ad5536f24692a3423a7b34d174fb9c41961130853b93988c SHA512 87e4f7c6853a4f981f1920e532a8118a40dbcfd5798459fb095f1c5f3bedde9ed474d4f7fdf563b5f9e8170e1b63963d81c813747387a5b5cf2da2e264c9bf7d
diff --git a/dev-python/boto3/boto3-1.34.150.ebuild b/dev-python/boto3/boto3-1.34.150.ebuild
new file mode 100644
index 000000000000..509842b2699d
--- /dev/null
+++ b/dev-python/boto3/boto3-1.34.150.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/botocore-${PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.10.0[${PYTHON_USEDEP}]
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index e8d69a04bb13..2acff2bdde82 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -1,3 +1,4 @@
DIST botocore-1.34.144.gh.tar.gz 13221134 BLAKE2B 9b688a781ad80f294c147ce4aacc31b59ad90369722a256b934610790682fbe54fcc18bded66d3151c24335dafdcc2eecaa293a30f6715aa69ded57efacd6540 SHA512 92d96253eb62b0425d3763cd9df7f5e944e780c5694b6bad03aa1671b65a5a786b54cad037479f2e227b86b2dd33da1a10db1da1ede857378a9f9783405bb288
DIST botocore-1.34.145.gh.tar.gz 13230154 BLAKE2B ebcf6acdd7ab01bca4032eaa9bc94fd72807edb3b0ce7cdc7addc4bed9a3500627b95d95e69c3027ecb384e65d95c0955e71a0e3262d89e3e8d49eefc37e9aaf SHA512 96042253f2f5ec74b258327c3c4eb322a8ed534ac8ed78f38a5aafb3a97ce832bfe5184090a2dadd41e30b75bf35c463d8d80c3de72a46410656d62076469650
DIST botocore-1.34.149.gh.tar.gz 13245965 BLAKE2B 6bc05c1d93eaa62fa9acb3c0e42acdc67272df442452892cb8e833d93edaafd0dfe03f9467e5f305d2827a12bcc9f0658e13a889f9165e1a83250a9ba1bd5f5b SHA512 e44ab480c611b43e13474db97642b92ac59c4b9e641d45ca0967aca385c608f37dd77541088161e7ac1b05ff9b5e4fa544e8d8711d7fbe0a8a4e78e7d7710722
+DIST botocore-1.34.150.gh.tar.gz 13246229 BLAKE2B 30b8327a8095afd514d320152b1e8088f95434805ed50704dc0304a1532a89ec9e040f98020b9bb0b2ef88a63eefed4925776f4bddf8d7c7214b6e51c7cc2c87 SHA512 1a05dd42cd0b9290c639a49457c33c02cb32d3055525f34215c25e8fe9b02351611385d7f20b2b2e94544e54634450859df5871cc8f803db1e361ba6981ed54e
diff --git a/dev-python/botocore/botocore-1.34.150.ebuild b/dev-python/botocore/botocore-1.34.150.ebuild
new file mode 100644
index 000000000000..64a61a30c80b
--- /dev/null
+++ b/dev-python/botocore/botocore-1.34.150.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+# unbundled packages
+RDEPEND+="
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ case ${EPYTHON} in
+ python3.13)
+ EPYTEST_DESELECT+=(
+ # memory use tests, probably fragile
+ tests/functional/leak/test_resource_leaks.py::TestDoesNotLeakMemory
+ )
+ ;;
+ esac
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/cfn-lint/Manifest b/dev-python/cfn-lint/Manifest
index 306bacc136d6..76e7d8be66d5 100644
--- a/dev-python/cfn-lint/Manifest
+++ b/dev-python/cfn-lint/Manifest
@@ -1,3 +1,4 @@
DIST cfn_lint-1.6.1.tar.gz 2366313 BLAKE2B af7b3e8d5145f3368d4c7b2e86b0ffe441c1f6633de34024e8c10d8cd04625673a25e847c15f30a6778bee8196096ffca58241e3a6f21a750094a3b2845f5493 SHA512 f354fa40677f8b601dabfb12b8715f4eb49f8e8aec72d3b9eeb4a63fabe278c36629f404b193f557b193280d6ecd224f0f0a494f9dfc61a04ebb24d0fe953d67
DIST cfn_lint-1.7.2.tar.gz 2412586 BLAKE2B 5ec2034dce3c347411408723ebd1e00143c8b2428364cd33591c260fddb1911d595398121dba356d5179737400ac56fa4077ce8458d0b061c886284e152052b8 SHA512 7c9f785ecb08e937f21be47dea736719b1c7afac2b2989e65f84745e220657a0e3ac3427fa53ece4c5fe51b7880fb9da04c9eac7bd509f43978255ec5706f434
DIST cfn_lint-1.8.2.tar.gz 2377269 BLAKE2B 8f4266c6d90f50f614f203a4b34ffc15397c973e8af07510c64e21bd80f1c4dd0f5bf6283268cbc69fbe505d6c945cc058ec0f06b05e868b3149941ab28b3948 SHA512 2605c5880960e3bce2822f2d9b9bd221d4ab7d77a4d9a1bcbdbf6df8f50492877daf704f84157946519a9da96f9d3de5ed5e65629d259726a10e1fb38c963950
+DIST cfn_lint-1.9.0.tar.gz 2579663 BLAKE2B e23dff84652fb904073d61fc93b193fae0666bec229749d4bd34921b6186db97c365bc6cb25579f96ad4b29cadfb6c5a98943180a06818337ca3204c1f7c6eb6 SHA512 f8280e6e47834d72c084a1bd5b3fcb6cf96ac6484ae4785a5a86f60f5f6c5386fd7f6edcd5982345ea9e16d309cc5f1d6748f88ca17f3d0e6ef7902891bbf1fa
diff --git a/dev-python/cfn-lint/cfn-lint-1.9.0.ebuild b/dev-python/cfn-lint/cfn-lint-1.9.0.ebuild
new file mode 100644
index 000000000000..cb4c0566bc6f
--- /dev/null
+++ b/dev-python/cfn-lint/cfn-lint-1.9.0.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="CloudFormation Linter"
+HOMEPAGE="
+ https://github.com/aws-cloudformation/cfn-lint/
+ https://pypi.org/project/cfn-lint/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/aws-sam-translator-1.89.0[${PYTHON_USEDEP}]
+ dev-python/jsonpatch[${PYTHON_USEDEP}]
+ >=dev-python/jschema-to-python-1.2.3[${PYTHON_USEDEP}]
+ <dev-python/jsonschema-5[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.0[${PYTHON_USEDEP}]
+ dev-python/junit-xml[${PYTHON_USEDEP}]
+ <dev-python/networkx-4[${PYTHON_USEDEP}]
+ >dev-python/pyyaml-5.4[${PYTHON_USEDEP}]
+ >=dev-python/regex-2021.7.1[${PYTHON_USEDEP}]
+ >=dev-python/sarif-om-1.0.4[${PYTHON_USEDEP}]
+ >=dev-python/sympy-1.0.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/defusedxml[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin the deps
+ sed -e 's:~=[0-9.]*::' -i pyproject.toml || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # TODO
+ test/unit/module/test_template.py::TestTemplate::test_build_graph
+ # requires git repo
+ test/unit/module/maintenance/test_update_documentation.py::TestUpdateDocumentation::test_update_docs
+ # Internet
+ test/unit/module/formatters/test_formatters.py::TestFormatters::test_sarif_formatter
+ test/unit/module/maintenance/test_update_resource_specs.py::TestUpdateResourceSpecs::test_update_resource_specs_python_3
+ # TODO: it looks as if AWS_DEFAULT_REGION didn't work
+ test/unit/module/core/test_run_cli.py::TestCli::test_bad_config
+ test/unit/module/core/test_run_cli.py::TestCli::test_override_parameters
+ test/unit/module/core/test_run_cli.py::TestCli::test_positional_template_parameters
+ test/unit/module/core/test_run_cli.py::TestCli::test_template_config
+ # different graphviz version?
+ test/unit/module/template/test_template.py::TestTemplate::test_build_graph
+ )
+
+ # from tox.ini
+ local -x AWS_DEFAULT_REGION=us-east-1
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
diff --git a/dev-python/django-taggit/Manifest b/dev-python/django-taggit/Manifest
index d059385f71e2..09bf982ba050 100644
--- a/dev-python/django-taggit/Manifest
+++ b/dev-python/django-taggit/Manifest
@@ -1,2 +1 @@
-DIST django-taggit-3.1.0.tar.gz 58238 BLAKE2B ea5c90300383294daf80315b013dc1171d94fe4994cdf58a9364666a879672bd5af35f3c620673cb0a9139d2a224bc06d58f933ae94ccd8a65b947c76ab0a0ca SHA512 8654b703cb9b3848a5185f1b88826a80eed44f00993d6272e8fbec1145e6c30be4c0840a0d6e88544d2f927c7c288c2be94e3df61cbe34c37f1f213a1bf0780d
DIST django-taggit-5.0.1.tar.gz 60372 BLAKE2B 1934fc0a92655db15a4997646c44d8faa57b48469421abb7c48ea248525f0c536d658a9a481ed646dc4846c2f8f6ca9799274f9961238bd727ef0bafbb0ddf0c SHA512 af7b04da8359ebf68ea1b5c1fba3ed509b5357d65cccd95d835e0db68431fcbf0057e613cd05c54ac76524c8fc1c23d0dbacae8b80a23bb7867a0fa4a62f445b
diff --git a/dev-python/django-taggit/django-taggit-3.1.0.ebuild b/dev-python/django-taggit/django-taggit-3.1.0.ebuild
deleted file mode 100644
index 50eb5b8a3ad9..000000000000
--- a/dev-python/django-taggit/django-taggit-3.1.0.ebuild
+++ /dev/null
@@ -1,29 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{8,9,10,11,12} )
-DISTUTILS_USE_PEP517=setuptools
-PYPI_NO_NORMALIZE=1
-inherit distutils-r1 pypi
-
-DESCRIPTION="Simple tagging for Django"
-HOMEPAGE="https://github.com/jazzband/django-taggit"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64"
-IUSE="test"
-RESTRICT="!test? ( test )"
-
-RDEPEND="
- >=dev-python/django-3.2[${PYTHON_USEDEP}]
- dev-python/djangorestframework[${PYTHON_USEDEP}]
-"
-BDEPEND="test? ( ${RDEPEND} )"
-
-python_test() {
- "${EPYTHON}" -m django test -v 2 --settings=tests.settings ||
- die "Tests failed with ${EPYTHON}"
-}
diff --git a/dev-python/incremental/Manifest b/dev-python/incremental/Manifest
index f5f2a8f3da05..993efc8e378e 100644
--- a/dev-python/incremental/Manifest
+++ b/dev-python/incremental/Manifest
@@ -1 +1,2 @@
DIST incremental-22.10.0.tar.gz 18305 BLAKE2B 8e3f19e1825c608d72259729674da2dfa5005a64fb336d3c2144f20fdfd40e84ce1988cb6e00c2c86412e48f71bf2c5bd0d4f226cb49b1ff8e799065dd9fda42 SHA512 23a7572db731d1dd9871d309a02f8a29a92b7f1d897e64a2fe053575e7b486ec87e54d5ae9658eb1a82f90ba36b1b1694b58a991d841553f6cb98983725a49c3
+DIST incremental-24.7.2.tar.gz 28157 BLAKE2B c3f9e14660c1009b9083e424d451618057e17ef3799ef96368fbcd38c3738f29ee711b4114c4210f2b5970d6637c026ffa683ae3453bc4855ebcabdbe52f5500 SHA512 d738d32392ff3a3fa15b880598a74c8fe61383ab2ca167612ffdad464edda9d08fbfabfdf5c4939731c4d0489a76ba72a483fe3813351610b3618fbcc9539d82
diff --git a/dev-python/incremental/incremental-24.7.2.ebuild b/dev-python/incremental/incremental-24.7.2.ebuild
new file mode 100644
index 000000000000..887370f1ed6f
--- /dev/null
+++ b/dev-python/incremental/incremental-24.7.2.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=standalone
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Incremental is a small library that versions your Python projects"
+HOMEPAGE="
+ https://github.com/twisted/incremental/
+ https://pypi.org/project/incremental/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/setuptools-61.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/tomli[${PYTHON_USEDEP}]
+ ' 3.10)
+"
+# note: most of test deps are for examples that we can't run without
+# Internet
+BDEPEND="
+ ${RDEPEND}
+ test? (
+ dev-python/twisted[${PYTHON_USEDEP}]
+ )
+"
+RDEPEND+="
+ >=dev-python/click-6.0[${PYTHON_USEDEP}]
+"
+
+python_test() {
+ "${EPYTHON}" -m twisted.trial incremental ||
+ die "Tests failed on ${EPYTHON}"
+}
diff --git a/dev-python/lxml-html-clean/Manifest b/dev-python/lxml-html-clean/Manifest
index 377c78223a4e..2149cd0969f1 100644
--- a/dev-python/lxml-html-clean/Manifest
+++ b/dev-python/lxml-html-clean/Manifest
@@ -1 +1,2 @@
DIST lxml_html_clean-0.1.1.tar.gz 14086 BLAKE2B 5ff4c01847298fc7c63b3243805ae9cd9013a4bc0b263d3235344cb6a46b4e09d4f2c5d559e4fb311f7dc1c92262feaa53caa3562dff1e65b302af65abbd025a SHA512 f297a17f84cec472026d12246f95013bf6c0cab932dccb6432a1140503d62255a3a9357798047044175ce8f9d1d86d3ea9a73a732ec299d65263ccf637315e95
+DIST lxml_html_clean-0.2.0.tar.gz 15438 BLAKE2B 570ac3e0a5861692a439fc2a52ee34e40c659ee3c6bf1b990b1e9dc47f25feedd654cf8f4f1f4c27a49e00c6a8be7940492405d5ad61920c29c1c464609848f6 SHA512 67908512294932454ae461d6371c5dd525e2c21b67b6fd437f4a4ecda7bbb6c617526f9541d4ad0fe624e3f8506ed8a391cd766167f2054a685d96ef18b7e53f
diff --git a/dev-python/lxml-html-clean/lxml-html-clean-0.2.0.ebuild b/dev-python/lxml-html-clean/lxml-html-clean-0.2.0.ebuild
new file mode 100644
index 000000000000..ca11df655cc9
--- /dev/null
+++ b/dev-python/lxml-html-clean/lxml-html-clean-0.2.0.ebuild
@@ -0,0 +1,24 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Separate project for HTML cleaning functionalities copied from lxml.html.clean"
+HOMEPAGE="
+ https://pypi.org/project/lxml-html-clean/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+
+RDEPEND="
+ >=dev-python/lxml-5.2.0[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/mitmproxy_wireguard/mitmproxy_wireguard-0.1.20.ebuild b/dev-python/mitmproxy_wireguard/mitmproxy_wireguard-0.1.20.ebuild
index 0e6be58330ca..7dcc8b2e4aff 100644
--- a/dev-python/mitmproxy_wireguard/mitmproxy_wireguard-0.1.20.ebuild
+++ b/dev-python/mitmproxy_wireguard/mitmproxy_wireguard-0.1.20.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2022-2023 Gentoo Authors
+# Copyright 2022-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
diff --git a/dev-python/mygpoclient/Manifest b/dev-python/mygpoclient/Manifest
index 94ea6be8b08d..a3c0c568d3f5 100644
--- a/dev-python/mygpoclient/Manifest
+++ b/dev-python/mygpoclient/Manifest
@@ -1 +1,2 @@
DIST mygpoclient-1.9.gh.tar.gz 44998 BLAKE2B 5feb17fbcdd02c632a11d9ae685b099addd2fed056e72d532e6391b707cfc46e694182ea4e5d7334be10796b5bb19b2d8cbceafe0b69798206f5ec41ca337913 SHA512 57502295725d3a1351e877998442141dd596927215d3746786c12db061ebe3bdf8282e8b2d554997515a558f608c0815e4caad311ad3f1ea9f5b62321e8d6635
+DIST mygpoclient-pr19.patch 32982 BLAKE2B b0103372aaea9c83a45a035d3e32e6e0d3297370e7e6dd93996a14cec7f3f1723c4e0a4dca943b346fe6ce976aaea90d51478cdb3ee0218612fe28c36153047d SHA512 b816ee676c62e696f0bc14f06a60ee2a276d21b0ffb781a0d800042c64e16bee972a56c348c9dde203a0d41fc4f403d707a15bf197ea47d952ba753e659f26ab
diff --git a/dev-python/mygpoclient/mygpoclient-1.9-r1.ebuild b/dev-python/mygpoclient/mygpoclient-1.9-r1.ebuild
new file mode 100644
index 000000000000..f7cd7d1bb7a4
--- /dev/null
+++ b/dev-python/mygpoclient/mygpoclient-1.9-r1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1
+
+DESCRIPTION="A gpodder.net client library"
+HOMEPAGE="
+ https://github.com/gpodder/mygpoclient/
+ https://pypi.org/project/mygpoclient/
+ https://mygpoclient.readthedocs.io/en/latest/
+"
+SRC_URI="
+ https://github.com/gpodder/mygpoclient/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ https://patch-diff.githubusercontent.com/raw/gpodder/mygpoclient/pull/19.patch
+ -> ${PN}-pr19.patch
+"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+BDEPEND="
+ test? (
+ dev-python/minimock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+PATCHES=(
+ # https://github.com/gpodder/mygpoclient/pull/19
+ "${DISTDIR}/${PN}-pr19.patch"
+)
diff --git a/dev-python/nbxmpp/Manifest b/dev-python/nbxmpp/Manifest
index 13343f181b0b..624cb19f321c 100644
--- a/dev-python/nbxmpp/Manifest
+++ b/dev-python/nbxmpp/Manifest
@@ -1,3 +1,4 @@
DIST python-nbxmpp-4.5.4.tar.bz2 138170 BLAKE2B 00a4919032dd29828dc735695afe9c0814a8fe2ec765a534257768896d9f27bc3a395275d546ad717bdd16c97161e8f0a8acaf43cdb7bd9404e40bc72f2c3da5 SHA512 fcaedae519d8cd2d52cc65721ab1e743569ba1cf7c29f2db41ed5671ba0f2c5b47f1f6d9521e1614e89e21512a4575c6788316cdb86936f0c4886d54c3831bb3
DIST python-nbxmpp-5.0.1.tar.bz2 142702 BLAKE2B 5459da538e3c05959c382e70fe8348b566333f4f68e76775b7bc8760f294ecc3bdb999124d1124bd5d7874af209f699eb4ffa1a15ce61ad70f98f235c70e98dd SHA512 eb20df090ec61013e6f26288798aeb2f2d61eab493cb4a52d5097a85d6dab8c45f033f2064583af5bf3ed920be33107419a958b65df2cf13fcd8ea6ae3297adf
DIST python-nbxmpp-5.0.2.tar.bz2 142857 BLAKE2B 555370478aaafb24449b6147b4a80de5e300d1df83fe9e6fba87fa9e29eb09d51b16d74df63dbe6dd2c806a31bbd83e41eaf1a5261ba9b69996c10455bfbbcf8 SHA512 947fb4b47f98196becb0065898b51e7dcb6e3fbbc97cacd89641e4a57c5f310c9825029f5f54135f33d3e58b089d1063bf1e3d3af3cdc3ebf7dd9490d0277c92
+DIST python-nbxmpp-5.0.3.tar.bz2 142891 BLAKE2B 5a73660357e0ce5056f34290e6b1148a4e36af82c88ace89a562b0a5675422d364047d16604856c5ac81a87a3f262651b65c97cff79fd95dad508a4a2977c15f SHA512 ae433fe943dcc996bf10cb5c0cda70bd15b825fa40d7cb49a16e86476074dffa3b0f6a2286a03ef9bde11f572be447fc615ca157895de0dcba598ab74262b48a
diff --git a/dev-python/nbxmpp/nbxmpp-5.0.3.ebuild b/dev-python/nbxmpp/nbxmpp-5.0.3.ebuild
new file mode 100644
index 000000000000..30663972e64a
--- /dev/null
+++ b/dev-python/nbxmpp/nbxmpp-5.0.3.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1
+
+MY_P=python-nbxmpp-${PV}
+DESCRIPTION="Python library to use Jabber/XMPP networks in a non-blocking way"
+HOMEPAGE="
+ https://dev.gajim.org/gajim/python-nbxmpp/
+ https://pypi.org/project/nbxmpp/
+"
+SRC_URI="
+ https://dev.gajim.org/gajim/python-nbxmpp/-/archive/${PV}/${MY_P}.tar.bz2
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~loong ~riscv ~x86"
+
+RDEPEND="
+ dev-libs/gobject-introspection
+ net-libs/libsoup:3.0[introspection]
+ dev-python/idna[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ >=dev-python/precis-i18n-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/pygobject-3.42[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests unittest
diff --git a/dev-python/parallax/parallax-1.0.8.ebuild b/dev-python/parallax/parallax-1.0.8.ebuild
index 5ecd5728e207..8443e44c294f 100644
--- a/dev-python/parallax/parallax-1.0.8.ebuild
+++ b/dev-python/parallax/parallax-1.0.8.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
diff --git a/dev-python/pip/pip-24.2-r1.ebuild b/dev-python/pip/pip-24.2-r1.ebuild
index 69a3d6e8b5dc..d8aaeb9cbdfa 100644
--- a/dev-python/pip/pip-24.2-r1.ebuild
+++ b/dev-python/pip/pip-24.2-r1.ebuild
@@ -46,8 +46,7 @@ RDEPEND="
>=dev-python/tomli-2.0.1[${PYTHON_USEDEP}]
' 3.10)
>=dev-python/truststore-0.9.1[${PYTHON_USEDEP}]
-
- >=dev-python/setuptools-39.2.0[${PYTHON_USEDEP}]
+ >=dev-python/typing-extensions-4.12.2[${PYTHON_USEDEP}]
"
BDEPEND="
${RDEPEND}
diff --git a/dev-python/py-zabbix/py-zabbix-1.1.7.ebuild b/dev-python/py-zabbix/py-zabbix-1.1.7.ebuild
index e7089e007b32..8c50b3674af2 100644
--- a/dev-python/py-zabbix/py-zabbix-1.1.7.ebuild
+++ b/dev-python/py-zabbix/py-zabbix-1.1.7.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
diff --git a/dev-python/python-openstackclient/Manifest b/dev-python/python-openstackclient/Manifest
index ac034b7a1d13..4dafa14de1d4 100644
--- a/dev-python/python-openstackclient/Manifest
+++ b/dev-python/python-openstackclient/Manifest
@@ -1 +1,2 @@
DIST python-openstackclient-6.6.0.tar.gz 917251 BLAKE2B 9f11b357bdeede556e106a21b2c7bbd86804251612cd676525a8817b693733dfe72388213cfa16517b3b75725702090fa3e728ec6986dcda196aa1e8aac9fd0a SHA512 7b073263fe9d905b3c10b2a4dcfa7156c9cd5ae453d792e1dcf3be278de0abc25c931388c8cabff6b11b61174acf79c87951028626af1e1b9f0dd09f38b7900a
+DIST python-openstackclient-6.6.1.tar.gz 917516 BLAKE2B da771630628444d02b6937d6138e83416f982d70c57211c90d648bff000692de3acc1594268e9dd8b9521165508c063dbaba3e740c6fef874645af0b9fc89248 SHA512 e59d2fbf1bb5b4e9080aa7b81c110876c444052b3e57037a520995b273712b2a30f56f25937c524fe62889c49f72c5a3cc14e83ebc77886cae23c3e23a071158
diff --git a/dev-python/python-openstackclient/python-openstackclient-6.6.1.ebuild b/dev-python/python-openstackclient/python-openstackclient-6.6.1.ebuild
new file mode 100644
index 000000000000..434c406bde96
--- /dev/null
+++ b/dev-python/python-openstackclient/python-openstackclient-6.6.1.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A client for the OpenStack APIs"
+HOMEPAGE="
+ https://opendev.org/openstack/python-openstackclient/
+ https://github.com/openstack/python-openstackclient/
+ https://pypi.org/project/python-openstackclient/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ >dev-python/pbr-2.1.0[${PYTHON_USEDEP}]
+ >=dev-python/cliff-3.5.0[${PYTHON_USEDEP}]
+ >=dev-python/cryptography-2.7[${PYTHON_USEDEP}]
+ >=dev-python/openstacksdk-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/osc-lib-2.3.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-i18n-3.15.3[${PYTHON_USEDEP}]
+ >=dev-python/python-keystoneclient-3.22.0[${PYTHON_USEDEP}]
+ >=dev-python/python-novaclient-18.1.0[${PYTHON_USEDEP}]
+ >=dev-python/python-cinderclient-3.3.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.14.2[${PYTHON_USEDEP}]
+ >=dev-python/stevedore-2.0.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >dev-python/pbr-2.1.0[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/oslotest-3.2.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-mock-1.2.0[${PYTHON_USEDEP}]
+ >=dev-python/testtools-2.2.0[${PYTHON_USEDEP}]
+ >=dev-python/tempest-17.1.0[${PYTHON_USEDEP}]
+ >=dev-python/wrapt-1.7.0[${PYTHON_USEDEP}]
+ >=dev-python/ddt-1.0.1[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+ # Depends on a specific runner
+ sed -e 's/test_command_has_logger/_&/' \
+ -i openstackclient/tests/unit/common/test_command.py || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ # functional tests require cloud instance access
+ eunittest -b openstackclient/tests/unit
+}
diff --git a/dev-python/python-socketio/Manifest b/dev-python/python-socketio/Manifest
index 49ae47954553..94cb63ae861b 100644
--- a/dev-python/python-socketio/Manifest
+++ b/dev-python/python-socketio/Manifest
@@ -1,2 +1,2 @@
-DIST python-socketio-5.11.0.tar.gz 116482 BLAKE2B b55aec3c18d5313a82d6d430158fbe7e955295d36a363d4072c76cff71596e8b3e805e7a571fac343258a8576501f1f25fe92c5bf1aaffcc7272b4dea7cac2c2 SHA512 ed2068812cb7d2e74dcf9ff15a9c9b957ac07369f786a6db67d78286f0c49a7b860c5356040d405d50351c0ae49cf4f939f106d796a614c45743df1220a9b575
DIST python-socketio-5.11.1.tar.gz 116661 BLAKE2B baadab35001cb8b5b45af302787aef2eaf1b01f29590c91d0797ce597e0bd8e55ae1c7277bbd852157faa3677e10f0022245d1d1e75c859358fa6cf9ff9ae687 SHA512 95fbaac7040e53975c68b94cc47dad58bc4b5f19138560b3b48e5c44ddef66459a8fc2277958c738f7f85ba159c54ba4e2eea93d05f35e74a5a71c9901584dc8
+DIST python_socketio-5.11.3.tar.gz 117702 BLAKE2B 304747caec9933fc9b20287e049d4d964ad50efe6aeaf7cc5900892252d55ef20aebc92154f811f99304e775b8f90dc0e95726dc85cb6afc246969a1d37cbef2 SHA512 136e2e49eacb1b8ab2726487fd53a486fdb12f2803112b69017128dc3ecb6d1cbf9360da8e6b30fe1967a8d8a0c0d2fe0d305428a9e5b9bd3a0dc660406ae799
diff --git a/dev-python/python-socketio/python-socketio-5.11.0.ebuild b/dev-python/python-socketio/python-socketio-5.11.3.ebuild
index 11d8c4294ee3..120db136fcdb 100644
--- a/dev-python/python-socketio/python-socketio-5.11.0.ebuild
+++ b/dev-python/python-socketio/python-socketio-5.11.3.ebuild
@@ -4,7 +4,6 @@
EAPI=8
DISTUTILS_USE_PEP517=setuptools
-PYPI_NO_NORMALIZE=1
PYTHON_COMPAT=( python3_{8,9,10,11,12} )
inherit distutils-r1 pypi
diff --git a/dev-python/python-statemachine/Manifest b/dev-python/python-statemachine/Manifest
index b0fe5f1e7ef5..39c67bb6cef8 100644
--- a/dev-python/python-statemachine/Manifest
+++ b/dev-python/python-statemachine/Manifest
@@ -1,2 +1,3 @@
DIST python-statemachine-2.1.2.gh.tar.gz 240041 BLAKE2B aae4571bf9628fbf3eb77c929a912f6bb5a2be03374557b6548bf0577f3d348aa4d479599d327c8035474e30aed47f4fde9998457a38f4a255df321172ceaf88 SHA512 593eaa07d7982b15045987c20d1fbd084e016fa53ae0cd45ec96e0f3d74b5b6d9c60cf9e94d67a5daaa3d3727630a88e32fb3d1d7f03248bb3ef0b552251c729
DIST python-statemachine-2.3.3.gh.tar.gz 347194 BLAKE2B 02372cee9105d09d9cbb57492ebb73bd15e68fa01bed70453c24d51385b2a9f4e3edc6b9f93ceca738486e3a0974a2527ff1b63873b1fcd033fb5870ecd66e10 SHA512 ccd0133e55332fe8511150ef34408e01412de5ce06357b0bb1a3c3ad18ccb1c28753f2ebf3ad2a20391e2df0f76d2dd673db0fd0301862993f8116326d32eae6
+DIST python-statemachine-2.3.4.gh.tar.gz 350704 BLAKE2B 3cac223e6252d61d7bab2952491802bd60e1dad5dd564f121fc6a46a721eb44bd708310352f9d1d9d1d47948aa1bda8ae6ac0acdbb8b129ddc4b6ad58420921f SHA512 ac478c29cbc0c426b93ba37be3453d3f6d1f2c5a5046369c201488f5fc9a6cd8d2e9712a061c50a4f413fffa7650f74c6d358429c8ddd96b72ec07da17497ada
diff --git a/dev-python/python-statemachine/python-statemachine-2.3.4.ebuild b/dev-python/python-statemachine/python-statemachine-2.3.4.ebuild
new file mode 100644
index 000000000000..b4cf90f7ae8c
--- /dev/null
+++ b/dev-python/python-statemachine/python-statemachine-2.3.4.ebuild
@@ -0,0 +1,48 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python Finite State Machines made easy."
+HOMEPAGE="
+ https://pypi.org/project/python-statemachine/
+ https://github.com/fgmacedo/python-statemachine
+"
+SRC_URI="https://github.com/fgmacedo/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="dev-python/pydot[${PYTHON_USEDEP}]"
+
+BDEPEND="
+ ${RDEPEND}
+ test? (
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ dev-python/pytest-django[${PYTHON_USEDEP}]
+ dev-python/django[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ tests/test_mixins.py::test_mixin_should_instantiate_a_machine
+)
+
+EPYTEST_IGNORE=(
+ tests/test_profiling.py
+ tests/django_project/workflow/tests.py
+)
+
+python_test() {
+ epytest -o 'addopts=""'
+
+}
diff --git a/dev-python/rapidfuzz/Manifest b/dev-python/rapidfuzz/Manifest
index 9fedb67168c0..a6d17e9a7119 100644
--- a/dev-python/rapidfuzz/Manifest
+++ b/dev-python/rapidfuzz/Manifest
@@ -1 +1,2 @@
DIST rapidfuzz-3.9.4.tar.gz 1595863 BLAKE2B ba835b6d1c5bc7da99ae7202ae469d9a1d069ea0351b732a701abbadfbe1539a389efb051cd58e462505ebcf6020b60ec6413d9f44bbfd63a0dc8419cded9722 SHA512 4494d86f17e7b4ae51639f1d2941d4e313c26739787f3a47261a5d5bf26da4091d918e1603e2199774edd5e1b91d67446b762a81e6b98496d67fbddb93effe21
+DIST rapidfuzz-3.9.5.tar.gz 1595894 BLAKE2B ce46f5fdc15e3c4aeef801055569f5452512bd2b0d85a9c738672e4f98a7ca8de9b4ca451da4e031ffbd661075bcd00e8929ad46b6990a693e1aa137d8097c7b SHA512 ddbb9b70ac9d3a0dce3d2632ee97bdb10afef5b33e73bb14ff51b70eb7c7e94dbc46132867a8279df4c15bddf6a85c0fa705f0d13bb157456b1e6dbc59e64a8f
diff --git a/dev-python/rapidfuzz/rapidfuzz-3.9.5.ebuild b/dev-python/rapidfuzz/rapidfuzz-3.9.5.ebuild
new file mode 100644
index 000000000000..9904a5fa775e
--- /dev/null
+++ b/dev-python/rapidfuzz/rapidfuzz-3.9.5.ebuild
@@ -0,0 +1,67 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+# custom wrapper over setuptools
+DISTUTILS_USE_PEP517=standalone
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Rapid fuzzy string matching in Python using various string metrics"
+HOMEPAGE="
+ https://github.com/rapidfuzz/RapidFuzz/
+ https://pypi.org/project/rapidfuzz/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+# all these are header-only libraries
+DEPEND="
+ >=dev-cpp/taskflow-3.0.0
+ >=dev-cpp/rapidfuzz-cpp-3.0.5
+ dev-python/numpy[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/cython-3[${PYTHON_USEDEP}]
+ >=dev-python/scikit-build-0.16.2[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ dev-python/hypothesis[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ # sterilize build flags
+ sed -i -e '/CMAKE_INTERPROCEDURAL_OPTIMIZATION/d' CMakeLists.txt || die
+ # remove bundled libraries
+ rm -r extern || die
+ # force recythonization
+ find src -name '*.cxx' -delete || die
+ # do not require exact taskflow version
+ sed -i -e '/Taskflow/s:3\.7\.0::' CMakeLists.txt || die
+
+ distutils-r1_src_prepare
+
+ export RAPIDFUZZ_BUILD_EXTENSION=1
+}
+
+python_compile() {
+ distutils-r1_python_compile
+
+ # scikit-build is broken and reuses the same build
+ # https://github.com/scikit-build/scikit-build/issues/633
+ rm -r _skbuild || die
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
diff --git a/dev-python/scikit-build-core/Manifest b/dev-python/scikit-build-core/Manifest
index 5d4c05dd05f8..ca4312e12ab9 100644
--- a/dev-python/scikit-build-core/Manifest
+++ b/dev-python/scikit-build-core/Manifest
@@ -1 +1,2 @@
DIST scikit_build_core-0.9.8.tar.gz 229845 BLAKE2B 419d8891dd3f95bee7f8f7dcc1addb94d2698f8ff392eef19a67e851f57b58d09b9878705d0e8d728d3c6f2b316d538c76471164781fcd1fb5d02dfbfd9d7a85 SHA512 f1206715eef1bdeccddc5987cae4f455522c4ef4dbca305ad7d3772c61f5615c5742b109c5527a5ad5e25a2348abff69ea5ae7153ac18c43cca63783872aa3d5
+DIST scikit_build_core-0.9.9.tar.gz 229971 BLAKE2B 2e41f59e053a44db07c84df4a03aab7c574b658d51f4b4517228ef0e12618f8de879e3ef704b7be398b5378e1f19b0a8c8dafcd20e3bd15dece9d387306427ac SHA512 c4b826353be3b34dc7f37f571088b7674f6ad8c984fd9985feb4e1b611c503dbf1a5c0e4e8ad1123c9f2e9538572da319f9104145abd598817ca3e29824cc61d
diff --git a/dev-python/scikit-build-core/scikit-build-core-0.9.8.ebuild b/dev-python/scikit-build-core/scikit-build-core-0.9.8.ebuild
index c252aa77355d..4afa8ca05cbd 100644
--- a/dev-python/scikit-build-core/scikit-build-core-0.9.8.ebuild
+++ b/dev-python/scikit-build-core/scikit-build-core-0.9.8.ebuild
@@ -59,5 +59,5 @@ python_test() {
)
local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
- epytest -p subprocess -m "not isolated and not network"
+ epytest -p pytest-subprocess -m "not isolated and not network"
}
diff --git a/dev-python/scikit-build-core/scikit-build-core-0.9.9.ebuild b/dev-python/scikit-build-core/scikit-build-core-0.9.9.ebuild
new file mode 100644
index 000000000000..72753b4e9ad7
--- /dev/null
+++ b/dev-python/scikit-build-core/scikit-build-core-0.9.9.ebuild
@@ -0,0 +1,63 @@
+# Copyright 2023-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Build backend for CMake based projects"
+HOMEPAGE="
+ https://github.com/scikit-build/scikit-build-core/
+ https://pypi.org/project/scikit-build-core/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+# we always want [pyproject] extra
+RDEPEND="
+ app-alternatives/ninja
+ dev-build/cmake
+ >=dev-python/packaging-21.3[${PYTHON_USEDEP}]
+ >=dev-python/pathspec-0.10.1[${PYTHON_USEDEP}]
+ >=dev-python/pyproject-metadata-0.5[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/exceptiongroup[${PYTHON_USEDEP}]
+ >=dev-python/tomli-1.2.2[${PYTHON_USEDEP}]
+ ' 3.10)
+"
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ test? (
+ dev-python/build[${PYTHON_USEDEP}]
+ >=dev-python/cattrs-22.2.0[${PYTHON_USEDEP}]
+ dev-python/fastjsonschema[${PYTHON_USEDEP}]
+ dev-python/pybind11[${PYTHON_USEDEP}]
+ >=dev-python/pytest-subprocess-1.5[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ dev-python/virtualenv[${PYTHON_USEDEP}]
+ dev-python/wheel[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local _EPYTEST_DESELECT=(
+ # TODO / we don't package validate_pyproject anyway
+ tests/test_schema.py::test_compare_schemas
+ # setuptools now respects PEP 625
+ tests/test_setuptools_pep517.py::test_pep517_sdist
+ )
+ local EPYTEST_IGNORE=(
+ # needs unpackaged validate_pyproject
+ tests/test_schema.py
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -p pytest-subprocess -m "not isolated and not network"
+}
diff --git a/dev-python/sphinx/Manifest b/dev-python/sphinx/Manifest
index da36c871619f..3bcdd4894e6e 100644
--- a/dev-python/sphinx/Manifest
+++ b/dev-python/sphinx/Manifest
@@ -3,3 +3,4 @@ DIST sphinx-7.3.7.gh.tar.gz 7165383 BLAKE2B bcc68f26937e6aefe60cedea533a5c8e245c
DIST sphinx-7.4.6.gh.tar.gz 8187130 BLAKE2B 69cf73dc3644ac0fbb4e2d26ee07652b4a16bb2d87fba1a6f5a3dba74533af470d2449658eb7029479618d47ea34d6dc896126cfe330d31b343c0a3300ba90b3 SHA512 7015aa5b926856e1e3ed35b559a78dbeb8a1746028f4a488a3237c65ea5eb786a9feff05649b8126395c6f8277802a093c704ca13e941d3aab561b2fca8b0de8
DIST sphinx-7.4.7.gh.tar.gz 8135111 BLAKE2B b5a511355b16edfbcf32f9a20855466251c592a7fbffa33a84d84369f2a9de7767cd9529cce3f350cdf25bfbb53534ddea70d9482c1d6d78e9ab160d2c9821e8 SHA512 bfb48d4dc09f108986c5b7737710c7495fbdd83eb18f2a1c77bc9d324c499bffb5103f65ebf7396260f10c0f89eddb1ae5eb8d037bd33fffd748483f4391a7e1
DIST sphinx-8.0.0rc1.gh.tar.gz 8139326 BLAKE2B 3cb69ece3d6f85ceebd494abe9ae11a76b3473eca52611b197cd3a34985e37bc0275c9c194d87ca529a63d46976c9624ff9270734b638f8cbfb81c25f5fee0be SHA512 cd7e1b01a2a6dcc3106aef6f110bbd1c4cc06865e7c20c85e65b191128c4a28c836c5401f02e6a812317033b97ff4f683948b78d3edd56fbb8d12d6a7ada52f6
+DIST sphinx-8.0.1.gh.tar.gz 8264971 BLAKE2B 5c0fb71607b75fc445cafe115bc2765e859d0224857149862517060e6133a610a05ca2c10fe78f32cf7f99396bd4991a834dcdecd0d3945bc6300a010dfdf408 SHA512 11e6901c27484fbad7c9f1b3c192603f3dd9d79092f3910ea05edd6541d0f8368471134c53d694f6032ad2d22131baf1b0bee2725f89c291dc236a6195315ed9
diff --git a/dev-python/sphinx/sphinx-8.0.1.ebuild b/dev-python/sphinx/sphinx-8.0.1.ebuild
new file mode 100644
index 000000000000..e1702504343d
--- /dev/null
+++ b/dev-python/sphinx/sphinx-8.0.1.ebuild
@@ -0,0 +1,144 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+MY_P=${P/_}
+DESCRIPTION="Python documentation generator"
+HOMEPAGE="
+ https://www.sphinx-doc.org/
+ https://github.com/sphinx-doc/sphinx/
+ https://pypi.org/project/Sphinx/
+"
+SRC_URI="
+ https://github.com/sphinx-doc/sphinx/archive/v${PV/_}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="doc latex"
+
+RDEPEND="
+ >=dev-python/alabaster-0.7.14[${PYTHON_USEDEP}]
+ >=dev-python/Babel-2.13[${PYTHON_USEDEP}]
+ <dev-python/docutils-0.22[${PYTHON_USEDEP}]
+ >=dev-python/docutils-0.20[${PYTHON_USEDEP}]
+ >=dev-python/imagesize-1.3[${PYTHON_USEDEP}]
+ >=dev-python/jinja-3.1[${PYTHON_USEDEP}]
+ >=dev-python/packaging-23.0[${PYTHON_USEDEP}]
+ >=dev-python/pygments-2.14[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.30.0[${PYTHON_USEDEP}]
+ >=dev-python/snowballstemmer-2.2[${PYTHON_USEDEP}]
+ dev-python/sphinxcontrib-applehelp[${PYTHON_USEDEP}]
+ dev-python/sphinxcontrib-devhelp[${PYTHON_USEDEP}]
+ dev-python/sphinxcontrib-jsmath[${PYTHON_USEDEP}]
+ >=dev-python/sphinxcontrib-htmlhelp-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/sphinxcontrib-serializinghtml-1.1.9[${PYTHON_USEDEP}]
+ dev-python/sphinxcontrib-qthelp[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/tomli-2[${PYTHON_USEDEP}]
+ ' 3.10)
+ latex? (
+ dev-texlive/texlive-latexextra
+ dev-texlive/texlive-luatex
+ app-text/dvipng
+ )
+"
+BDEPEND="
+ doc? (
+ dev-python/sphinxcontrib-websupport[${PYTHON_USEDEP}]
+ media-gfx/graphviz
+ )
+ test? (
+ app-text/dvipng
+ >=dev-python/cython-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/defusedxml-0.7.1[${PYTHON_USEDEP}]
+ dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
+ >=dev-python/setuptools-67.0[${PYTHON_USEDEP}]
+ dev-texlive/texlive-fontsextra
+ dev-texlive/texlive-latexextra
+ dev-texlive/texlive-luatex
+ virtual/imagemagick-tools[jpeg,png,svg]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/sphinx-3.2.1-doc-link.patch"
+ #"${FILESDIR}/sphinx-4.3.2-doc-link.patch"
+)
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # disable internet access
+ sed -i -e 's:^intersphinx_mapping:disabled_&:' \
+ doc/conf.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+ # we can't use distutils_enable_sphinx because it would
+ # introduce a dep on itself
+ use doc && build_sphinx doc
+}
+
+python_test() {
+ mkdir -p "${BUILD_DIR}/sphinx_tempdir" || die
+ local -x SPHINX_TEST_TEMPDIR="${BUILD_DIR}/sphinx_tempdir"
+
+ local EPYTEST_DESELECT=(
+ # less interesting failures
+ tests/test_builders/test_build_latex.py::test_build_latex_doc
+ tests/test_extensions/test_ext_math.py::test_imgmath_png
+ tests/test_extensions/test_ext_math.py::test_imgmath_numfig_html
+ )
+ case ${EPYTHON} in
+ python3.13x)
+ EPYTEST_DESELECT+=(
+ tests/test_extensions/test_ext_autodoc.py::test_autodoc_special_members
+ tests/test_extensions/test_ext_autodoc_configs.py::test_autodoc_type_aliases
+ tests/test_extensions/test_ext_autodoc_configs.py::test_autodoc_typehints_format_fully_qualified
+ tests/test_extensions/test_ext_autodoc_configs.py::test_autodoc_typehints_none
+ tests/test_extensions/test_ext_autodoc_configs.py::test_autodoc_typehints_signature
+ )
+ ;;
+ pypy3)
+ EPYTEST_DESELECT+=(
+ tests/test_extensions/test_ext_autodoc.py::test_autodoc_exception
+ tests/test_extensions/test_ext_autodoc.py::test_autodoc_ignore_module_all
+ tests/test_extensions/test_ext_autodoc.py::test_autodoc_inherited_members_None
+ tests/test_extensions/test_ext_autodoc.py::test_autodoc_subclass_of_builtin_class
+ tests/test_extensions/test_ext_autodoc.py::test_automethod_for_builtin
+ tests/test_extensions/test_ext_autodoc.py::test_cython
+ tests/test_extensions/test_ext_autodoc.py::test_format_signature
+ tests/test_extensions/test_ext_autodoc.py::test_partialfunction
+ tests/test_extensions/test_ext_autodoc_autoclass.py::test_autodoc_process_bases
+ tests/test_extensions/test_ext_autodoc_autoclass.py::test_show_inheritance_for_decendants_of_generic_type
+ tests/test_extensions/test_ext_autodoc_autoclass.py::test_show_inheritance_for_subclass_of_generic_type
+ tests/test_extensions/test_ext_autodoc_autofunction.py::test_builtin_function
+ tests/test_extensions/test_ext_autodoc_autofunction.py::test_methoddescriptor
+ tests/test_extensions/test_ext_autodoc_automodule.py::test_automodule_inherited_members
+ tests/test_extensions/test_ext_autodoc_preserve_defaults.py::test_preserve_defaults_special_constructs
+ tests/test_extensions/test_ext_autosummary.py::test_autosummary_generate_content_for_module
+ tests/test_extensions/test_ext_autosummary.py::test_autosummary_generate_content_for_module_skipped
+ tests/test_util/test_util_inspect.py::test_isattributedescriptor
+ tests/test_util/test_util_inspect.py::test_signature
+ tests/test_util/test_util_typing.py::test_is_invalid_builtin_class
+ )
+ ;;
+ esac
+
+ # note: pytest-xdist causes random test failures
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -p rerunfailures --reruns=5
+}
diff --git a/dev-python/sphinx_selective_exclude/sphinx_selective_exclude-1.0.3-r1.ebuild b/dev-python/sphinx_selective_exclude/sphinx_selective_exclude-1.0.3-r1.ebuild
index 452234644a87..96ee69535ca6 100644
--- a/dev-python/sphinx_selective_exclude/sphinx_selective_exclude-1.0.3-r1.ebuild
+++ b/dev-python/sphinx_selective_exclude/sphinx_selective_exclude-1.0.3-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
diff --git a/dev-python/sqlalchemy/Manifest b/dev-python/sqlalchemy/Manifest
index 6e880152ab18..4feeb392065c 100644
--- a/dev-python/sqlalchemy/Manifest
+++ b/dev-python/sqlalchemy/Manifest
@@ -1,4 +1,5 @@
DIST SQLAlchemy-1.4.52.tar.gz 8514200 BLAKE2B b41fccb885ce6761e29621a654c97537610a1875d66302ba56fac560f5c85db35b14595efd903aebfd0186ee39b75a8666e1304cdee6a6ec6eb9923bc602b9e5 SHA512 afda6a3503c9d2baba8c1dd9e7216d5ac1561f52f5f11009c41a1a98ac998643c980c60cf8ba4d84c4af8808be26ead9fd2e7a2c8bf15b2fdb521b4e5de7748e
+DIST SQLAlchemy-1.4.53.tar.gz 8468030 BLAKE2B fd03cd7a1a8f26b22d33cee038e6e15c59ba24e32a4465e3e3cda74583a333e627b732f5532aaa2c0fc3356a96dab8efbc4f6a51275315f78451d63a4ec20bbf SHA512 2a33b2c0348efbf312994394da3dac0f86be60e9e0929ce96117a02f49d9e06388ec5b016c1bf229f89d5ee561cbdcf8526b9c33428b7041923cd5d73d87a88c
DIST SQLAlchemy-2.0.29.tar.gz 9543967 BLAKE2B 04425618b6e0bcf98a7a32a4a6b1c092120a9f3eb55761879b072ac3a3e08c8f1b97fb4d2df4b35b2fd810e11146f4d83cf67cd8ec23fb4d96c5d6cfff7657af SHA512 d1143c65fb26335d652083b9a90afaecf78ed312cea5c26f989380204e909c341c1bc3bb1e07274353e1c409d21737fad4d7391f186b2d2373814582d3baaf78
DIST SQLAlchemy-2.0.30.tar.gz 9579500 BLAKE2B 3c1711ee72a355eb5e6a71d6581d951ffe3ddab459ac4bb4c36a8640ed5f6298a80847e9bb66dd700622fa9275bf77c4c18be5e324092a576d1b35983371730a SHA512 b39275a7312609fd0a78ac5bb4fb0f29f2948d7fc81007587c01f38849ff28bff273182a06c8ec830b7e1ba4cd30aea2cd7214bbf971a61125c9b56c6ddbbe52
DIST SQLAlchemy-2.0.31.tar.gz 9524110 BLAKE2B 521137ceaedd91a063bd336001e25a2946a3fefbc61c619b9b18c32f6e4dd2ff541e7cf3f0e0144024c0a6fe2c7aec743d1315b66c7da752d47abd81a6ab8ab4 SHA512 2e5f559ee2d1f28003a7436a6cb1997f22348447765422f4847adb3c5fc20b759d8c5c99ad4dae1c1f7863f3bc72f699e19b48d7797917a9a64ff4050e61d3d1
diff --git a/dev-python/sqlalchemy/sqlalchemy-1.4.53.ebuild b/dev-python/sqlalchemy/sqlalchemy-1.4.53.ebuild
new file mode 100644
index 000000000000..92f70ecf5e96
--- /dev/null
+++ b/dev-python/sqlalchemy/sqlalchemy-1.4.53.ebuild
@@ -0,0 +1,107 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+PYTHON_REQ_USE="sqlite?"
+
+inherit distutils-r1 optfeature pypi
+
+MY_PN="SQLAlchemy"
+DESCRIPTION="Python SQL toolkit and Object Relational Mapper"
+HOMEPAGE="
+ https://www.sqlalchemy.org/
+ https://pypi.org/project/SQLAlchemy/
+ https://github.com/sqlalchemy/sqlalchemy/
+"
+SRC_URI="$(pypi_sdist_url --no-normalize "${MY_PN}")"
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="examples +sqlite test"
+
+BDEPEND="
+ test? (
+ $(python_gen_impl_dep sqlite)
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ # hardcode call counts specific to Python versions
+ test/aaa_profiling
+)
+
+src_prepare() {
+ sed -i -e '/greenlet/d' setup.cfg || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # warning tests are unreliable
+ test/base/test_warnings.py
+
+ # TODO
+ 'test/orm/test_cache_key.py::EmbeddedSubqTest::test_cache_key_gen[memory-_exclusions1]'
+
+ # deprecations
+ test/engine/test_parseconnect.py::TestRegNewDBAPI::test_wrapper_hooks
+ test/engine/test_parseconnect.py::URLTest::test_component_set
+ test/engine/test_parseconnect.py::URLTest::test_password_custom_obj
+ test/engine/test_parseconnect.py::URLTest::test_update_query_dict
+ test/engine/test_parseconnect.py::URLTest::test_update_query_string
+ )
+ local sqlite_version=$(sqlite3 --version | cut -d' ' -f1)
+ [[ ${EPYTHON} == pypy3 ]] && EPYTEST_DESELECT+=(
+ test/ext/test_associationproxy.py::ProxyHybridTest::test_msg_fails_on_cls_access
+ # https://github.com/sqlalchemy/sqlalchemy/issues/8762
+ test/orm/test_query.py::YieldTest_sqlite+pysqlite_${sqlite_version//./_}::test_yield_per_close_on_interrupted_iteration_legacy
+ )
+ if ! has_version "dev-python/greenlet[${PYTHON_USEDEP}]"; then
+ EPYTEST_DESELECT+=(
+ test/ext/asyncio/test_engine_py3k.py::TextSyncDBAPI::test_sync_driver_execution
+ test/ext/asyncio/test_engine_py3k.py::TextSyncDBAPI::test_sync_driver_run_sync
+ "test/engine/test_pool.py::PoolEventsTest::test_checkin_event_gc[False-True]"
+ "test/engine/test_pool.py::PoolEventsTest::test_checkin_event_gc[True-True]"
+ "test/engine/test_pool.py::QueuePoolTest::test_userspace_disconnectionerror_weakref_finalizer[True-_exclusions0]"
+ )
+ fi
+
+ # upstream's test suite is horribly hacky; it relies on disabling
+ # the warnings plugin and turning warnings into errors; this also
+ # means that any DeprecationWarnings from third-party plugins cause
+ # everything to explode
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=
+ # upstream automagically depends on xdist when it is importable
+ # note that we can't use xdist because it causes nodes to randomly
+ # crash on init
+ if has_version "dev-python/pytest-xdist[${PYTHON_USEDEP}]"; then
+ PYTEST_PLUGINS+=xdist.plugin
+ fi
+ epytest
+}
+
+python_install_all() {
+ if use examples; then
+ docompress -x "/usr/share/doc/${PF}/examples"
+ dodoc -r examples
+ fi
+
+ distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+ optfeature "asyncio support" dev-python/greenlet
+ optfeature "MySQL support" \
+ dev-python/mysqlclient \
+ dev-python/pymysql
+ optfeature "postgresql support" dev-python/psycopg:2
+}
diff --git a/dev-python/sqlglot/Manifest b/dev-python/sqlglot/Manifest
index 4c0fa6e45dc8..78d7d0bb1364 100644
--- a/dev-python/sqlglot/Manifest
+++ b/dev-python/sqlglot/Manifest
@@ -19,8 +19,8 @@ DIST quote-1.0.33.crate 28090 BLAKE2B 77c4b166f1200e1ee2ab94a5014acd334c1fe4b7d7
DIST redox_syscall-0.4.1.crate 24858 BLAKE2B c3301137a0b84e03b09d28dfa377ab3bea74d574a08cee21d35713b278d8b5b30ca2a1d73a0981baeb4644cbb88c86c8eb15ab3bb2692e38b93e6b35fab4e0da SHA512 073ed9d96090cf46eab9877742277a013c62d8da86d9caf2310b4fa868af306511936553579e01309f27067d344226cc8dc5e3aef01d9b900da2febd33848f8d
DIST scopeguard-1.2.0.crate 11619 BLAKE2B 8b7e9ed6cefef9ee55407fb9690d57a2a98bb93e5105aeebdb475a52485e9e185255249e1dce8f83cd80534e7402d485aac3efa7e8493b13135de27550cd4bc4 SHA512 6247719a15fe1e4e2d179127b9a934bd2f99367724f41175ed9522f58824b6bc69b35002eae66b35880375ff61d77ac43ddaa78cbde7160a35183a1da32d3fbb
DIST smallvec-1.11.2.crate 34801 BLAKE2B 58645e99db8f02db64d02c75860c7ea41836c427c03ee3b0b23365e73a406e4fd6ac312bf13fc5faef8bb6111c10fcfd5f839d5b3686e9b34d1626f8469fc327 SHA512 5cfb427c3b99b0dbd71f6154ed899abcde9d7d2992977ac7b2ef3a4c3ff51e4efafd133071a69609b4ed6cb269bdc26b79eb72e1988f10dfcaef8185d950cd1d
-DIST sqlglot-25.6.1.tar.gz 19055366 BLAKE2B 3fec14d7a2a2da6c9a704ff4b42d7bcb099027da061ae600985842f021e3de96e57ea5a4edbd4bc508597f9ff2f39d74bdc618ddd5e0337188fcdfb910a48b45 SHA512 ac6e56c9b1207f5264a668e163d2c8f08548856c7ef36b6e6ff818b1f40ae6afe45785e2dc2c4bbeda50f7e303f5de39c343cc823fa8ecbe63fc2e61c067228a
DIST sqlglot-25.7.1.tar.gz 19078973 BLAKE2B ef4df578c057e9821df589d065164552aace81ca4019a17c38e7f2a86d2ff833248a206cd46067ab1945d1607916b1fd6a92d209cfd9c1d5984f67488c6d6d7c SHA512 54b4c7170085e574a3c7914511aa8e5a2b94577b4e4c20ae2a7bbfc7b3f496e538b00ef6b848c6c83d18ed170dd0109cc36ad0e73b0ff13097466c9727b6ed32
+DIST sqlglot-25.8.0.tar.gz 19080325 BLAKE2B c6c11c4c885fdb581f4afd3cef58b7052640d9de6825baf513046e32bd87e0e310c723291cb605ba253063b6542e3d8e5e63a5476cee62835fcbfb409df44bf7 SHA512 80292ca8c84e617a9cf47870960813ae0e5fecf9063766f6828040fe649a5549e2f4bf56ba9250f4bbc0268a72e3244d7571c27b3f064a5c4022afd080cbd89c
DIST syn-2.0.41.crate 246016 BLAKE2B 9d389f2e2a0acb4c84c309456e8ffcc88c5d4d541535ed136832d7a6054dde45a598bb68e8a6f3062ca2a96e1ceae947d54b3aec9bad65b0c51d6733aa6c80db SHA512 6bbaf69ca783025dfb81ac3612ac60bfbed31b2d87792909b35c12892dadebdaff2ddf9463105e536b671dce5870610ab90fe29471284bbd3014dca8d6993f1a
DIST target-lexicon-0.12.12.crate 25156 BLAKE2B f3803596c75f6c89438592a1176c3748fc2c0524d7d50a20056de1cd26d40c572b05bafcdf6dd702752864bea37c8b4f28f96dadc12a5b3bb1d279b25e489f85 SHA512 6147295c43ba1b7b087a3c5ab51534b2985e4e77e5e15687978cfb9d07e21c4fd9bc7191576d6cabd268d08a44dc733c4a957e59dba8b948c2055d8bb433aeca
DIST unicode-ident-1.0.12.crate 42168 BLAKE2B 4cede03c08758ccd6bf53a0d0057d7542dfdd0c93d342e89f3b90460be85518a9fd24958d8b1da2b5a09b5ddbee8a4263982194158e171c2bba3e394d88d6dac SHA512 bc1824e1e4452a40732fc69874d7e1a66f7803717a314790dcf48867eba34bc9441331ef031e386912e52c385645c25b6ed39d4f149973b5b97371b1b96b1920
diff --git a/dev-python/sqlglot/sqlglot-25.6.1.ebuild b/dev-python/sqlglot/sqlglot-25.8.0.ebuild
index c040bab3734b..c040bab3734b 100644
--- a/dev-python/sqlglot/sqlglot-25.6.1.ebuild
+++ b/dev-python/sqlglot/sqlglot-25.8.0.ebuild
diff --git a/dev-python/tenacity/Manifest b/dev-python/tenacity/Manifest
index 669d9b68a546..8713f5dbcc8a 100644
--- a/dev-python/tenacity/Manifest
+++ b/dev-python/tenacity/Manifest
@@ -1 +1,2 @@
DIST tenacity-8.5.0.tar.gz 47309 BLAKE2B 6d3e1dbcac5facf9c838e13fa3cb0ff03c22cb490cf9ed17aea44e4486f7f256918415779adf3854e4ebb2b2496686265acf2f5e42621b01aa3b6d43910cd828 SHA512 f5568233321bbc6c6cfca0f362f627ff6eecf6094c55644ae46448b5f1d6466928a35a1435c97004b640ac95444e4e8c0bb2b21520e2bba5c619eeff36955e72
+DIST tenacity-9.0.0.tar.gz 47421 BLAKE2B f263af6be0c2d3f26969884d0f211111c68d28dc0cdeddc4ff03791cb5344e60a481a80321d6946bbc9982fac61d0b6084e299766e620893cc30fdc8dae39a8d SHA512 c6236e7630d46048c7c8fb60213591b3489576b8a4413f0bc2d692751f456882c177bdbc425d5921d7679a019dd39371dfa5cd1210e68a3faefd5beb799961ea
diff --git a/dev-python/tenacity/tenacity-9.0.0.ebuild b/dev-python/tenacity/tenacity-9.0.0.ebuild
new file mode 100644
index 000000000000..57312feac247
--- /dev/null
+++ b/dev-python/tenacity/tenacity-9.0.0.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="General-purpose retrying library"
+HOMEPAGE="
+ https://github.com/jd/tenacity/
+ https://pypi.org/project/tenacity/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/tornado-6.4-r1[${PYTHON_USEDEP}]
+ dev-python/typeguard[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # fragile to timing
+ tests/test_asyncio.py::TestContextManager::test_sleeps
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
diff --git a/dev-python/xmlschema/Manifest b/dev-python/xmlschema/Manifest
index 523a14d2b562..6041f9cf6615 100644
--- a/dev-python/xmlschema/Manifest
+++ b/dev-python/xmlschema/Manifest
@@ -1 +1,2 @@
DIST xmlschema-3.3.1.tar.gz 574315 BLAKE2B fa6caf1b21949a46b398f0a951534ef9155d6dd6920a195967ff9155dbcdb496b94ac952396d0ef9e17e36050a6bd6550d975a5faf0ea84727a9bb90f3d8336a SHA512 e9c01fba834ea9d673bd3ade9527f991ec1af14909ad42b9e27100f984ce5ffe1e3ab9e351b91b186fe19145613e0df93a7430d0e006f93a38c782a0e3e6daac
+DIST xmlschema-3.3.2.tar.gz 575004 BLAKE2B 4d92be6ec8933201198b38f741e06354c98ef9b2d02ecd20fefbf502d29ab82e705038ef966ad1e90e3fcfe6aae01e3c757b61e9d9acb506a0ab36074fbcc6c6 SHA512 6216373f8d8ebc2244267f2659a887b937fb5c529909b5afeb99dc7d0aed22080870b5d35543e32f16dc8e8c6fc1e0859a99fd9364c03e01aa69e71dd18078e6
diff --git a/dev-python/xmlschema/xmlschema-3.3.2.ebuild b/dev-python/xmlschema/xmlschema-3.3.2.ebuild
new file mode 100644
index 000000000000..beb366c0501e
--- /dev/null
+++ b/dev-python/xmlschema/xmlschema-3.3.2.ebuild
@@ -0,0 +1,37 @@
+# Copyright 2019-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="An XML Schema validator and decoder"
+HOMEPAGE="
+ https://github.com/sissaschool/xmlschema/
+ https://pypi.org/project/xmlschema/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ <dev-python/elementpath-5[${PYTHON_USEDEP}]
+ >=dev-python/elementpath-4.4.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ ${RDEPEND}
+ dev-python/jinja[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
+ )
+"
+
+python_test() {
+ "${EPYTHON}" tests/test_all.py -v || die "Tests fail with ${EPYTHON}"
+}